Substy Developers
Solo bundles

Get solo bundle statistics

Read one standalone media bundle's offers sent, unlocks, gifts, conversion rate and revenue in USD, all time, over the last 7, 30 or 90 days, or between two days in the employee's time zone.

GET/v1/agencies/{agencyId}/creators/{creatorId}/solo-bundles/{bundleId}/statistics

Read one standalone media bundle's offers sent, unlocks, gifts, conversion rate and revenue in USD, all time, over the last 7, 30 or 90 days, or between two days in the employee's time zone.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string
Length1 <= length
bundleId*string
Length1 <= length

Query Parameters

period?string

Value in

  • "7d"
  • "30d"
  • "90d"
  • "all"
from?string
Match^\d{4}-\d{2}-\d{2}$
to?string
Match^\d{4}-\d{2}-\d{2}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/creators/string/solo-bundles/string/statistics" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "window": {      "kind": "period",      "period": "all"    },    "timezone": "string",    "bundle": {      "enabled": true,      "title": "string",      "isGiftable": true,      "price": 0,      "intensityTier": 0,      "bundleId": "string",      "sent": 0,      "paid": 0,      "gifted": 0,      "revenue": 0,      "conversionRate": 0,      "averageSalePrice": 0    }  },  "meta": {    "requestId": "string"  }}